"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@checkup/core");
const eslint_disable_task_1 = require("../tasks/eslint-disable-task");
const outdated_dependencies_task_1 = require("../tasks/outdated-dependencies-task");
const eslint_summary_task_1 = require("../tasks/eslint-summary-task");
const hook = async function ({ context, tasks }) {
    let pluginName = core_1.getPluginName(__dirname);
    tasks.registerTask(new eslint_summary_task_1.EslintSummaryTask(pluginName, context));
    tasks.registerTask(new eslint_disable_task_1.default(pluginName, context));
    tasks.registerTask(new outdated_dependencies_task_1.default(pluginName, context));
};
exports.default = hook;
//# sourceMappingURL=register-tasks.js.map